Subject: Re: Error: unknown pseudo-op: `.cfi_startproc'

From: "HappyPhot" <[email-masked]>
Date: Thu, 29 Dec 2005 17:25:08 +0800

> In message <007801c60b72$eb4988c0$0860120a@photon> you wrote:
>>
>>   I am using ELDK (2005-06-07) and 
>> linux-2.6.15-rc2-2005-12-03-2208.tar.bz2
>> to build the kernel. But there are some errors:
>>
>> .../arch/powerpc/kernel/vdso32/gettimeofday.S: Assembler messages:
>> .../arch/powerpc/kernel/vdso32/gettimeofday.S:28: Error: unknown 
>> pseudo-op:
>> `.cfi_startproc'
>> .../arch/powerpc/kernel/vdso32/gettimeofday.S:30: Error: unknown 
>> pseudo-op:
>> `.cfi_register'
>> .......
>>
>> Anybody knows what happened ? And is there any way to solve ?
>
> ELDK 3.1 uses binutils-2.14; the current Linux kernel was changed  to
> use  assembler  syntax which is not supported by the GNU assembler in
> this version. See for example
> http://ozlabs.org/pipermail/linuxppc64-dev/2005-February/003179.html
>
> I don't understand why this  was  done,  either.  Especially  as  the
> current  Linux  kernel  documentation ("Documentation/Changes") still
> claims that binutils 2.12 would be sufficient.
>
> You will have to update your toolchain  (i.  e.  use  ELDK  4.0)  for
> working with current 2.6 kernels.
>
> Best regards,
>
> Wolfgang Denk

Hi,
  Is there any "ready to burn" iso image of ELDK 4.0 
available for download ? I cannot find one.

thank you,
/HappyPhot